
QGIS Application - Bug report #1396

PostGIS add table dialog is unfriendly when determining layer geometry types

2008-11-12 11:49 AM - gjm -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11456

Description

The Add [[PostGIS]] Table dialog box determines the type of each possible layer independently of displaying the list of possible layers,

and then updates the 'Type' column in the dialog as the layer geometry type becomes available.

For one of my databases, where there are several layers in different schema and on a slowish [[PostGIS]] server, it can take several

seconds to determine all of the layer types.

When the dialog is first displayed, all of the schema tree items are expanded. However, each time the type of a layer changes from

'Waiting' to the actual type, the schema tree is collapsed. If I'm quick enough and un-collapse it, the next row that gets it's geometry type

updated causes a collapse again. That's rather unfriendly!

History

#1 - 2008-11-14 08:03 PM - gjm -

Seems as if this is a bug in Qt v4.4.0 that is fixed in more recent versions. I found the problem on the Windows Kore-preview1 version of qgis which is using

Qt 4.4.0. It seems that Preview 2 uses Qt 4.4.0 too. This bug can be closed once Qgis moves beyond using Qt 4.4.0 (on windows that is).

#2 - 2009-07-04 10:47 AM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed

Qt 4.4.0 seems to be a long way back. So I guess we may close this ticket. Please reopen it if I'm wrong.
http://trolltech.com/developer/task-tracker/index_html?id=212042&#38;method=entry

